package com.epson.mobilephone.common.license;

import android.content.Context;

import java.io.Serializable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

public interface LicenseInfo extends Serializable {
    public static final int DOCUMENT_TYPE_LICENSE = 1;
    public static final int DOCUMENT_TYPE_OSS_LICENSE = 3;
    public static final int DOCUMENT_TYPE_PRIVACY_STATEMENT = 2;
    public static final int LICENSE_MODE_AGREED_CURRENT_VERSION = 3;
    public static final int LICENSE_MODE_EULA_AND_PRIVACY_CHANGED = 0;
    public static final int LICENSE_MODE_EULA_CHANGED = 1;
    public static final int LICENSE_MODE_NOT_AGREED = -1;
    public static final int LICENSE_MODE_PRIVACY_STATEMENT_CHANGED = 2;

    @Retention(RetentionPolicy.SOURCE)
    public @interface DocumentType {
    }

    @Retention(RetentionPolicy.SOURCE)
    public @interface LicenseMode {
    }

    String getApplicationName(@NonNull Context context);

    String getDocumentString(@NonNull Context context, int i);

    int getLicenseAgreement(@NonNull Context context);

    void setLicenceAgreement(@NonNull Context context);
}
